package utils

import (
	jwt "github.com/appleboy/gin-jwt/v2"
	"service-status-backend/model"
)

func ConvertClaimsToUser(claims jwt.MapClaims) *model.User {
	user := model.User{
		Id:       int(claims["id"].(float64)),
		Email:    claims["email"].(string),
		FullName: claims["fullName"].(string),
		Schacc:   claims["schacc"].(string),
	}

	return &user
}
